All Classes Namespaces Functions Variables Pages
DesmondDMSFile Class Reference

DesmondDMSFile parses a Desmond DMS (desmond molecular system) and constructs a topology and (optionally) an OpenMM System from it. More...

Inheritance diagram for DesmondDMSFile:

## Public Member Functions

def | __init__
| Load a DMS file. More...
def | getPositions
| Get the positions of each atom in the system. More...
def | getTopology
| Get the topology of the system. More...
def | getProvenance
| Get the provenance string of this system. More...
def | createSystem
| Construct an OpenMM System representing the topology described by this dms file. More...
def | close
| Close the SQL connection. More...
def | __del__

## Public Attributes

| provenance
| positions

## Detailed Description

DesmondDMSFile parses a Desmond DMS (desmond molecular system) and constructs a topology and (optionally) an OpenMM System from it.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | file
| ) |  |

Load a DMS file.

Parameters

  file | (string) the name of the file to load

References DesmondDMSFile._conn, DesmondDMSFile._open, DesmondDMSFile._readSchemas(), and DesmondDMSFile._tables.

def __del__ | ( |  | self | ) |

References DesmondDMSFile.close().

## Member Function Documentation

def close | ( |  | self | ) |

Close the SQL connection.

References DesmondDMSFile._open.

Referenced by DesmondDMSFile.__del__().

def createSystem | ( |  | self,
|  |  | nonbondedMethod = `ff.NoCutoff`,
|  |  | nonbondedCutoff = `1.0*nanometer`,
|  |  | ewaldErrorTolerance = `0.0005`,
|  |  | removeCMMotion = `True`,
|  |  | hydrogenMass = `None`
| ) |  |

Construct an OpenMM System representing the topology described by this dms file.

Parameters

  nonbondedMethod | (object=NoCutoff) The method to use for nonbonded interactions. Allowed values are NoCutoff, CutoffNonPeriodic, CutoffPeriodic, Ewald, or PME.
  nonbondedCutoff | (distance=1*nanometer) The cutoff distance to use for nonbonded interactions
  ewaldErrorTolerance | (float=0.0005) The error tolerance to use if nonbondedMethod is Ewald or PME.
  removeCMMotion | (boolean=True) If true, a CMMotionRemover will be added to the System
  hydrogenMass | (mass=None) The mass to use for hydrogen atoms bound to heavy atoms. Any mass added to a hydrogen is subtracted from the heavy atom to keep their total mass the same.

References DesmondDMSFile._addAnglesToSystem(), DesmondDMSFile._addBondsToSystem(), DesmondDMSFile._addCMAPToSystem(), DesmondDMSFile._addConstraintsToSystem(), DesmondDMSFile._addImproperHarmonicTorsionsToSystem(), DesmondDMSFile._addNonbondedForceToSystem(), DesmondDMSFile._addPeriodicTorsionsToSystem(), DesmondDMSFile._addVirtualSitesToSystem(), DesmondDMSFile._angleConstraints, DesmondDMSFile._atomBonds, DesmondDMSFile._checkForUnsupportedTerms(), DesmondDMSFile._hasTable(), and DesmondDMSFile._tables.

Referenced by DesmondDMSFile.getProvenance().

def getPositions | ( |  | self | ) |

Get the positions of each atom in the system.

References CharmmCrdFile.positions, DesmondDMSFile.positions, and CharmmRstFile.positions.

def getProvenance | ( |  | self | ) |

Get the provenance string of this system.

References DesmondDMSFile.createSystem(), and DesmondDMSFile.provenance.

def getTopology | ( |  | self | ) |

Get the topology of the system.

References Simulation.topology, PDBxFile.topology, Modeller.topology, PDBFile.topology, AmberPrmtopFile.topology, Chain.topology, GromacsTopFile.topology, and CharmmPsfFile.topology().

## Member Data Documentation

positions

Referenced by Modeller.add(), Modeller.addExtraParticles(), Modeller.addHydrogens(), Modeller.addSolvent(), Modeller.convertWater(), Modeller.delete(), Modeller.getPositions(), AmberInpcrdFile.getPositions(), and DesmondDMSFile.getPositions().

provenance

Referenced by DesmondDMSFile.getProvenance().

The documentation for this class was generated from the following file:

- desmonddmsfile.py